Endpoints
Get script
Return script metadata and its snapshot list.
GET
Get script
Returns script metadata,
latest_snapshot_id, and snapshot metadata.
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Return script metadata and its snapshot list.
curl --request GET \
--url https://api.example.com/v1/projects/{project_id}/scripts/{script_id}latest_snapshot_id, and snapshot metadata.
curl "https://api.arcstudiopro.com/v1/projects/project_.../scripts/script_..." \
-H "Authorization: Bearer $ARC_STUDIO_API_KEY"
{
"id": "script_...",
"object": "script",
"project_id": "project_...",
"title": "Pilot",
"latest_snapshot_id": "snapshot_...",
"links": {
"self": "/v1/projects/project_.../scripts/script_...",
"latest_snapshot_document": "/v1/projects/project_.../scripts/script_.../latest_snapshot_document.json",
"snapshots": "/v1/projects/project_.../scripts/script_.../snapshots"
},
"snapshots": []
}
curl --request GET \
--url https://api.example.com/v1/projects/{project_id}/scripts/{script_id}